Skip to main content
GET
/
conversations
/
search
Search Conversations
curl --request GET \
  --url https://services.leadconnectorhq.com/conversations/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "conversations": [
    {
      "id": "ABCHkzuJQ8ZMd4Te84GK",
      "contactId": "ABCHkzuJQ8ZMd4Te84GK",
      "locationId": "ABCHkzuJQ8ZMd4Te84GK",
      "lastMessageBody": "This is a sample message body",
      "lastMessageType": "TYPE_SMS",
      "type": "TYPE_PHONE",
      "unreadCount": 1,
      "fullName": "John Doe",
      "contactName": "John Doe Company",
      "email": "johndoe@mailingdomain.com",
      "phone": "+15550001234"
    }
  ],
  "total": 100
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Query Parameters

locationId
string
required

Location Id

Example:

"ABCHkzuJQ8ZMd4Te84GK"

contactId
string

Contact Id

Example:

"9VEmS0si86GW6gXWU89b"

assignedTo
string

User IDs that conversations are assigned to. Multiple IDs can be provided as comma-separated values. Use "unassigned" to fetch conversations not assigned to any user.

Example:

"ABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsik"

followers
string

User IDs of followers to filter conversations by. Multiple IDs can be provided as comma-separated values.

Example:

"ABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsik"

mentions
string

User Id of the mention. Multiple values are comma separated.

Example:

"ABCHkzuJQ8ZMd4Te84GK,fGiae4CHkzoskh8thsik"

query
string

Search paramater as a string

Example:

"Search string"

sort
enum<string>

Sort paramater - asc or desc

Available options:
asc,
desc
Example:

"asc"

startAfterDate
object

Search to begin after the specified date - should contain the sort value of the last document

id
string

Id of the conversation

Example:

"ABCHkzuJQ8ZMd4Te84GK"

limit
number

Limit of conversations - Default is 20

Example:

20

lastMessageType
enum<string>

Type of the last message in the conversation as a string

Available options:
TYPE_CALL,
TYPE_SMS,
TYPE_EMAIL,
TYPE_SMS_REVIEW_REQUEST,
TYPE_WEBCHAT,
TYPE_SMS_NO_SHOW_REQUEST,
TYPE_CAMPAIGN_SMS,
TYPE_CAMPAIGN_CALL,
TYPE_CAMPAIGN_EMAIL,
TYPE_CAMPAIGN_VOICEMAIL,
TYPE_FACEBOOK,
TYPE_CAMPAIGN_FACEBOOK,
TYPE_CAMPAIGN_MANUAL_CALL,
TYPE_CAMPAIGN_MANUAL_SMS,
TYPE_GMB,
TYPE_CAMPAIGN_GMB,
TYPE_REVIEW,
TYPE_INSTAGRAM,
TYPE_WHATSAPP,
TYPE_CUSTOM_SMS,
TYPE_CUSTOM_EMAIL,
TYPE_CUSTOM_PROVIDER_SMS,
TYPE_CUSTOM_PROVIDER_EMAIL,
TYPE_IVR_CALL,
TYPE_ACTIVITY_CONTACT,
TYPE_ACTIVITY_INVOICE,
TYPE_ACTIVITY_PAYMENT,
TYPE_ACTIVITY_OPPORTUNITY,
TYPE_LIVE_CHAT,
TYPE_LIVE_CHAT_INFO_MESSAGE,
TYPE_ACTIVITY_APPOINTMENT,
TYPE_FACEBOOK_COMMENT,
TYPE_INSTAGRAM_COMMENT,
TYPE_CUSTOM_CALL,
TYPE_INTERNAL_COMMENT,
TYPE_ACTIVITY_EMPLOYEE_ACTION_LOG
Example:

"TYPE_SMS"

lastMessageAction
enum<string>

Action of the last outbound message in the conversation as string.

Available options:
automated,
manual
Example:

"manual"

lastMessageDirection
enum<string>

Direction of the last message in the conversation as string.

Available options:
inbound,
outbound
Example:

"inbound"

status
enum<string>

The status of the conversation to be filtered - all, read, unread, starred

Available options:
all,
read,
unread,
starred,
recents
Example:

"all"

sortBy
enum<string>

The sorting of the conversation to be filtered as - manual messages or all messages

Available options:
last_manual_message_date,
last_message_date,
score_profile
Example:

"last_message_date"

sortScoreProfile
string

Id of score profile on which sortBy.ScoreProfile should sort on

Example:

"ABCHkzuJQ8ZMd4Te84GK"

scoreProfile
string

Id of score profile on which conversations should get filtered out, works with scoreProfileMin & scoreProfileMax

Example:

"ABCHkzuJQ8ZMd4Te84GK"

scoreProfileMin
number

Minimum value for score

Example:

"ABCHkzuJQ8ZMd4Te84GK"

scoreProfileMax
number

Maximum value for score

Example:

"ABCHkzuJQ8ZMd4Te84GK"

Response

Successfully fetched the conversations

conversations
object[]
required

The list of all conversations found for the given query

total
number
required

Total Number of results found for the given query

Example:

100

Last modified on March 4, 2026